<template>
    <v-dialog
        v-model="editDialog"
        scrollable
        persistent :overlay="false"
        max-width="500px"
        min-width="350px"
        transition="dialog-transition"
    >
        <v-btn fab dark accent slot="activator">
            <v-icon>edit</v-icon>
        </v-btn>
        <v-card>
            <v-container>
                <v-layout row wrap>
                    <v-flex xs12>
                        <v-card-title>
                            Edit Meetup
                        </v-card-title>
                    </v-flex>
                </v-layout>
                <v-divider></v-divider>
                <v-layout row>
                    <v-flex xs12>
                        <v-card-text>
                            <v-text-field
                                name="title"
                                label="Title"
                                id="title"
                                v-model="editedTitle"
                                required>
                            </v-text-field>
                            <v-textarea
                                name="description"
                                label="Description"
                                id="description"
                                v-model="editedDescription"
                                multi-line
                                required
                            ></v-textarea>
                        </v-card-text>
                    </v-flex>
                </v-layout>
                <v-divider></v-divider>
                <v-layout row wrap>
                    <v-flex xs12s>
                        <v-card-actions>
                            <v-btn dark @click="editDialog = false">Close</v-btn>
                            <v-btn dark @click="onSaveChanges">Save</v-btn>
                        </v-card-actions>
                    </v-flex>
                </v-layout>
            </v-container>
        </v-card>
    </v-dialog>
</template>

<script>
export default {
    props: ['meetup'],
    data() {
        return {
            editDialog: false,
            editedTitle: this.meetup.title,
            editedDescription: this.meetup.description,
        }
    },
    methods: {
        onSaveChanges () {
            if (this.editedTitle.trim() === '' || this.editedDescription.trim() === '') {
                return
            }
            this.editDialog = false
            this.$store.dispatch('updateMeetupData', {
                id: this.meetup.id,
                title: this.editedTitle,
                description: this.editedDescription
            })
        }
    }
}
</script>
